#
# Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
#
# This software is distributed under commercial non-GPL license for personal, educational,
# corporate or any other use. The software as a whole or any parts of that are prohibited
# for distribution and/or use without obtaining license from 3D Control Systems, Inc.
#
# If you do not have the license to use this software, please delete all software files
# immediately and contact sales to obtain the license: sales@3dprinteros.com.
# If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

import subprocess
import os
import shutil


def set_video_memory_to_128m():
    correct_gpu_line = "gpu_mem=128\n"
    with open("/boot/config.txt", "r+") as f:
        text = f.read()
        f.seek(0)
        for line in text.split("\n"):
            if line.startswith("gpu_mem"):
                text = text.replace(line, correct_gpu_line)
                break
        else:
            text += correct_gpu_line
        f.write(text)


def remove_old_makerbot_sender():
    try:
        current_dir = os.path.dirname(__file__)
        sender_file = os.path.join(current_dir, 'makerbot_sender.py')
        if os.path.exists(sender_file):
            os.remove(sender_file)
            print "old_makerbot_sender, remove file: " + sender_file
        sender_file = os.path.join(current_dir, 'makerbot_sender.pyc')
        if os.path.exists(sender_file):
            os.remove(sender_file)
            print "old_makerbot_sender, remove file: " + sender_file
        driver_dir = os.path.join(current_dir, 'makerbot_driver')
        if os.path.exists(driver_dir):
            shutil.rmtree(driver_dir)
            print "old_makerbot_sender, remove dir: " + driver_dir
    except:
        pass

if __name__ == '__main__':
    import platforms
    remove_old_makerbot_sender()
    if platforms.get_platform() == "rpi":
        set_video_memory_to_128m()
        subprocess.call("reboot", shell=True)